package com.sitemesh.taglib.decorator;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import com.sitemesh.taglib.AbstractTag;

/**
 * Expose the Page as a bean to the page which can then be accessed
 * from scriptlets.
 *
 * Depending on the TEI used, the object will be Page or HTMLPage.
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.3 $
 *
 * @see com.sitemesh.taglib.decorator.UsePageTEI
 * @see com.sitemesh.taglib.decorator.UseHTMLPageTEI
 */
public class UsePageTag extends AbstractTag {

	private String id;

	/**
	 * @label tag extra info 
	 */
	/*#private UsePageTEI lnkUsePageTEI;*/

	/**
	 * Set name of variable the Page will be set as.
	 */
	public void setId( String id ) {
		this.id = id;
	}

	public int doEndTag() throws JspException {
		pageContext.setAttribute( id, getPage(), PageContext.PAGE_SCOPE );
		return EVAL_PAGE;
	}

}
